Package fr.gouv.vitam.common.model

# Class LifeCycleTraceabilitySecureFileObject

java.lang.Object
fr.gouv.vitam.common.model.LifeCycleTraceabilitySecureFileObject

public class LifeCycleTraceabilitySecureFileObject extends Object
Lifecycle Tracability secure File Object that wrap data for each line in the secured file

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LifeCycleTraceabilitySecureFileObject()`
  `LifeCycleTraceabilitySecureFileObject(String lastEvtIdProc, String lastEvTypeProc, String lastEvDateTime, String lfcId, MetadataType metadataType, int version, String lastEvtOutcome, String hashLFC, String hashLFCEvents, String hashMetadata, String hashGlobalFromStorage, List<ObjectGroupDocumentHash> objectGroupDocumentHashList)`
  Constructor to set the attributes for lfc tracibility file lines

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHashGlobalFromStorage()`
  getter for hashGlobalFromStorage
  `String`
  `getHashLFC()`
  getter for hashLFC
  `String`
  `getHashLFCEvents()`
  getter fro hashLFCEvents
  `String`
  `getHashMetadata()`
  getter for hashMetadata
  `String`
  `getIdGot()`
  getter for idGot
  `String`
  `getLastEvDateTime()`
  getter for lastEvDateTime
  `String`
  `getLastEvtIdProc()`
  getter for lastEvtIdProc
  `String`
  `getLastEvtOutcome()`
  getter for lastEvtOutcome
  `String`
  `getLastEvTypeProc()`
  getter for lastEvTypeProc
  `String`
  `getLfcId()`
  getter for lfcId
  `MetadataType`
  `getMetadataType()`
  getter for metadataType
  `List<ObjectGroupDocumentHash>`
  `getObjectGroupDocumentHashList()`
  getter for objectGroupDocumentHashList
  `TraceabilityHashDetails`
  `getTraceabilityHashDetails()`
  `List<String>`
  `getUp()`
  getter for up
  `int`
  `getVersion()`
  getter for version
  `void`
  `setHashGlobalFromStorage(String hashGlobalFromStorage)`
  set hashGlobalFromStorage
  `void`
  `setHashLFC(String hashLFC)`
  set hashLFC
  `void`
  `setHashLFCEvents(String hashLFCEvents)`
  Set hashLFCEvents
  `void`
  `setHashMetadata(String hashMetadata)`
  set hashMetadata
  `void`
  `setIdGot(String idGot)`
  setter for idGot
  `void`
  `setLastEvDateTime(String lastEvDateTime)`
  set lastEvDateTime
  `void`
  `setLastEvtIdProc(String lastEvtIdProc)`
  set lastEvtIdProc
  `void`
  `setLastEvtOutcome(String lastEvtOutcome)`
  set lastEvtOutcome
  `void`
  `setLastEvTypeProc(String lastEvTypeProc)`
  set lastEvTypeProc
  `void`
  `setLfcId(String lfcId)`
  set lfcId
  `void`
  `setMetadataType(MetadataType metadataType)`
  set metadataType
  `void`
  `setObjectGroupDocumentHashList(List<ObjectGroupDocumentHash> objectGroupDocumentHashList)`
  set objectGroupDocumentHashList
  `LifeCycleTraceabilitySecureFileObject`
  `setTraceabilityHashDetails(TraceabilityHashDetails traceabilityHashDetails)`
  `void`
  `setUp(List<String> up)`
  setter for up
  `void`
  `setVersion(int version)`
  set version

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LifeCycleTraceabilitySecureFileObject

    public LifeCycleTraceabilitySecureFileObject()

  - ### LifeCycleTraceabilitySecureFileObject

    public LifeCycleTraceabilitySecureFileObject(String lastEvtIdProc, String lastEvTypeProc, String lastEvDateTime, String lfcId, MetadataType metadataType, int version, String lastEvtOutcome, String hashLFC, String hashLFCEvents, String hashMetadata, String hashGlobalFromStorage, List<ObjectGroupDocumentHash> objectGroupDocumentHashList)
    Constructor to set the attributes for lfc tracibility file lines
    Parameters:
      `lastEvtIdProc` - lastEvtIdProc
      `lastEvTypeProc` - lastEvTypeProc
      `lastEvDateTime` - lastEvDateTime
      `lfcId` - lfcId
      `metadataType` - metadataType
      `version` - version
      `lastEvtOutcome` - lastEvtOutcome
      `hashLFC` - hashLFC
      `hashMetadata` - hashMetadata
      `hashGlobalFromStorage` - hashGlobalFromStorage

- ## Method Details

  - ### setLastEvtIdProc

    public void setLastEvtIdProc(String lastEvtIdProc)
    set lastEvtIdProc

  - ### setLastEvTypeProc

    public void setLastEvTypeProc(String lastEvTypeProc)
    set lastEvTypeProc

  - ### setLastEvDateTime

    public void setLastEvDateTime(String lastEvDateTime)
    set lastEvDateTime

  - ### setLfcId

    public void setLfcId(String lfcId)
    set lfcId

  - ### setMetadataType

    public void setMetadataType(MetadataType metadataType)
    set metadataType

  - ### setVersion

    public void setVersion(int version)
    set version

  - ### setLastEvtOutcome

    public void setLastEvtOutcome(String lastEvtOutcome)
    set lastEvtOutcome

  - ### setHashLFC

    public void setHashLFC(String hashLFC)
    set hashLFC

  - ### setHashLFCEvents

    public void setHashLFCEvents(String hashLFCEvents)
    Set hashLFCEvents
    Parameters:
      `hashLFCEvents` -

  - ### setHashMetadata

    public void setHashMetadata(String hashMetadata)
    set hashMetadata

  - ### setHashGlobalFromStorage

    public void setHashGlobalFromStorage(String hashGlobalFromStorage)
    set hashGlobalFromStorage

  - ### setObjectGroupDocumentHashList

    public void setObjectGroupDocumentHashList(List<ObjectGroupDocumentHash> objectGroupDocumentHashList)
    set objectGroupDocumentHashList

  - ### getLastEvtIdProc

    public String getLastEvtIdProc()
    getter for lastEvtIdProc
    Returns:
      lastEvtIdProc value

  - ### getLastEvTypeProc

    public String getLastEvTypeProc()
    getter for lastEvTypeProc
    Returns:
      lastEvTypeProc value

  - ### getLastEvDateTime

    public String getLastEvDateTime()
    getter for lastEvDateTime
    Returns:
      lastEvDateTime value

  - ### getLfcId

    public String getLfcId()
    getter for lfcId
    Returns:
      lfcId value

  - ### getMetadataType

    public MetadataType getMetadataType()
    getter for metadataType
    Returns:
      metadataType value

  - ### getVersion

    public int getVersion()
    getter for version
    Returns:
      version value

  - ### getLastEvtOutcome

    public String getLastEvtOutcome()
    getter for lastEvtOutcome
    Returns:
      lastEvtOutcome value

  - ### getHashLFC

    public String getHashLFC()
    getter for hashLFC
    Returns:
      hashLFC value

  - ### getHashLFCEvents

    public String getHashLFCEvents()
    getter fro hashLFCEvents
    Returns:
      hashLFCEvents

  - ### getHashMetadata

    public String getHashMetadata()
    getter for hashMetadata
    Returns:
      hashMetadata value

  - ### getHashGlobalFromStorage

    public String getHashGlobalFromStorage()
    getter for hashGlobalFromStorage
    Returns:
      hashGlobalFromStorage value

  - ### getObjectGroupDocumentHashList

    public List<ObjectGroupDocumentHash> getObjectGroupDocumentHashList()
    getter for objectGroupDocumentHashList
    Returns:
      objectGroupDocumentHashList value

  - ### getUp

    public List<String> getUp()
    getter for up

  - ### setUp

    public void setUp(List<String> up)
    setter for up

  - ### getIdGot

    public String getIdGot()
    getter for idGot

  - ### setIdGot

    public void setIdGot(String idGot)
    setter for idGot

  - ### getTraceabilityHashDetails

    public TraceabilityHashDetails getTraceabilityHashDetails()

  - ### setTraceabilityHashDetails

    public LifeCycleTraceabilitySecureFileObject setTraceabilityHashDetails(TraceabilityHashDetails traceabilityHashDetails)